@echo off
REM --------------------------------------------------------------------
REM
REM download.bat -- A script for downloading Geant4 virtual machine to avoid any client problem
REM
REM author : Go Iwai, KEK/CRC <go.iwai@kek.jp>
REM
REM Copyright (c) 2007 by Go Iwai, KEK/CRC <go.iwai@kek.jp>
REM
REM --------------------------------------------------------------------
REM
REM
setlocal ENABLEEXTENSIONS
set LC_ALL=C


REM --------------------------------------------------------------------
REM setting parameters, change below if necessary
REM
set prefix=http://geant4.kek.jp/~iwai/G4VM
set release=20080229
set install_dir=G4VM-%release%
REM --------------------------------------------------------------------


REM remove install directory before make it if exist
if exist %install_dir% (
	echo already exist %install_dir%, try again after removeing it
	pause
REM	echo rmdir /S /Q %install_dir%
REM 	rmdir /S /Q %install_dir%
	exit 1
)

echo mkdir %install_dir%
mkdir %install_dir%

echo cd %install_dir%
cd %install_dir%

echo ..\bin\wget.exe %prefix%/%release%/G4VM.vmx
..\bin\wget.exe %prefix%/%release%/G4VM.vmx

echo ..\bin\wget.exe %prefix%/%release%/G4VM.vmdk.bz2
..\bin\wget.exe %prefix%/%release%/G4VM.vmdk.bz2

echo ..\bin\bunzip2.exe -vv G4VM.vmdk.bz2
echo It takes a few hours...
..\bin\bunzip2.exe G4VM.vmdk.bz2

endlocal

exit 0
